#!/bin/bash
user_directory=$(pwd)

# 提示用户输入 tool_root 的信息
tool_root=$user_directory
EmptyBoxPath="$tool_root/RFIC_Active_Generator/EmptyBox"
setupPath="$tool_root/setupPath"
RFIC_Generator_PATH="RFIC_Generator_PATH = \"$tool_root\""
read -p "输入 cds.lib 的路径信息(例如:/tools/IC618/share/cdssetup)
(个人用户的路径即 Cadence 的启动路径)" cds_file_dir
cds_file="$cds_file_dir/cds.lib"
if [ -f "$setupPath" ]; then
rm "$setupPath"
fi
read -p "输入 .cdsinit 的路径信息(例如:/tools/IC618/tools.lnx86/dfII/local)
(个人用户的路径与 cds.lib 的路径相同)" cdsinit_file_dir
cdsinit_file="$cdsinit_file_dir/.cdsinit"
if [ -f "$cdsinit_file" ]; then
echo "检测到 .cdsinit 文件存在"
echo "$RFIC_Generator_PATH" >> "$cdsinit_file"
else
echo ".cdsinit 文件不存在 $cdsinit_file"
echo ".cdsinit 已添加"
touch "$cdsinit_file"
echo "$RFIC_Generator_PATH" >> "$cdsinit_file"
fi

touch "$setupPath"
echo "tool_root=\"$tool_root\"" >> "$setupPath"
echo "cdsinit_file=\"$cdsinit_file\"" >> "$setupPath"
echo "cds_file=\"$cds_file\"" >> "$setupPath"
if [ -f "$cds_file" ]; then
if grep -qF "^DEFINE EmptyBox" "$cds_file"; then
echo "EmptyBox已存在"
else
echo "DEFINE EmptyBox $EmptyBoxPath" >> "$cds_file"
fi
else
echo "$cds_file 不存在"
fi

# 提示用户是否要添加自动启动项
read -p "是否要在 candence 启动时自动加载插件? (y/n) " answer
if [ "$answer" = "y" ] || [ "$answer" == "Y" ] || [ "$answer" == "yes" ]; then
RFIC_Generator_Init="ciwMenuInit() load(strcat(RFIC_Generator_PATH \"/Start.il\"))"
if grep -qF "$RFIC_Generator_Init" "$cdsinit_file"; then
echo "RFIC_Generator Init 已存在 $cdsinit_file"
else
echo "$RFIC_Generator_Init" >> "$cdsinit_file"
echo "RFIC_Generator Init 已添加 $cdsinit_file"
fi
else
echo "选择不添加自动启动项。"
fi
echo "完成"
